For the complete documentation index, see llms.txt. This page is also available as Markdown.

User groups

Listar grupos de usuario do portal

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: name
dirstringOpcionalDefault: asc
profilestring · enumOpcional

Tipo de Perfil

Valores possíveis:
Respostas
200

User Groups listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/portal-user-groups/user-groups
GET /api/b2b/portal-user-groups/user-groups HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "profile": "SELLER",
      "active": true
    }
  ]
}

Criar grupo de usuario

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
namestringOpcional
profilestring · enumOpcionalValores possíveis:
activebooleanOpcional
Respostas
201

Criado

application/json
idstringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
activebooleanOpcional
post/portal-user-groups/user-groups
POST /api/b2b/portal-user-groups/user-groups HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170

{
  "name": "text",
  "profile": "SELLER",
  "active": true,
  "permissions": {
    "menu_items": [
      {
        "menu_item_id": "text",
        "access": true
      }
    ],
    "new_orders": [
      {
        "new_order_id": "text",
        "access": true
      }
    ]
  }
}
{
  "id": "text",
  "name": "text",
  "profile": "SELLER",
  "active": true,
  "permissions": {
    "menu_items": [
      {
        "menu_item_id": "text",
        "title": "text",
        "access": true
      }
    ],
    "new_orders": [
      {
        "new_order_id": "text",
        "title": "text",
        "access": true
      }
    ]
  }
}